OpenTTD Source: WidgetDimensions Struct Reference

OpenTTD Source 13.1

Data Fields | Static Public Attributes
WidgetDimensions Struct Reference

## Data Fields
RectPadding | imgbtn
RectPadding | inset
RectPadding | vscrollbar
RectPadding | hscrollbar
RectPadding | bevel
| Widths of bevel border.
RectPadding | fullbevel
| Always-scaled bevel border.
RectPadding | framerect
| Offsets within frame area.
RectPadding | frametext
| Offsets within a text frame area.
RectPadding | matrix
| Offsets within a matrix cell.
RectPadding | shadebox
RectPadding | stickybox
RectPadding | debugbox
RectPadding | defsizebox
RectPadding | resizebox
RectPadding | closebox
RectPadding | captiontext
| Offsets of text within a caption.
RectPadding | dropdowntext
| Offsets of text within a dropdown widget.
RectPadding | modalpopup
| Padding for a modal popup.
int | pressed
| Offset for contents of depressed widget.
int | vsep_normal
| Normal vertical spacing.
int | vsep_wide
| Wide vertical spacing.
int | hsep_normal
| Normal horizontal spacing.
int | hsep_wide
| Wide horizontal spacing.
int | hsep_indent
| Width of identation for tree layouts.

## Static Public Attributes
static const WidgetDimensions | unscaled
| Unscaled widget dimensions. More...
static WidgetDimensions | scaled = {}
| Widget dimensions scaled for current zoom level.

## Detailed Description

Definition at line 40 of file window_gui.h.

## Field Documentation

## ◆ unscaled

const WidgetDimensions WidgetDimensions::unscaled
| static

Initial value:
= {
{WD_IMGBTN_LEFT, WD_IMGBTN_TOP, WD_IMGBTN_RIGHT, WD_IMGBTN_BOTTOM},
{WD_INSET_LEFT, WD_INSET_TOP, WD_INSET_RIGHT, WD_BEVEL_BOTTOM},
{WD_VSCROLLBAR_LEFT, WD_VSCROLLBAR_TOP, WD_VSCROLLBAR_RIGHT, WD_VSCROLLBAR_BOTTOM},
{WD_HSCROLLBAR_LEFT, WD_HSCROLLBAR_TOP, WD_HSCROLLBAR_RIGHT, WD_HSCROLLBAR_BOTTOM},
{WD_BEVEL_LEFT, WD_BEVEL_TOP, WD_BEVEL_RIGHT, WD_BEVEL_BOTTOM},
{WD_BEVEL_LEFT, WD_BEVEL_TOP, WD_BEVEL_RIGHT, WD_BEVEL_BOTTOM},
{WD_FRAMERECT_LEFT, WD_FRAMERECT_TOP, WD_FRAMERECT_RIGHT, WD_FRAMERECT_BOTTOM},
{WD_FRAMETEXT_LEFT, WD_FRAMETEXT_TOP, WD_FRAMETEXT_RIGHT, WD_FRAMETEXT_BOTTOM},
{WD_MATRIX_LEFT, WD_MATRIX_TOP, WD_MATRIX_RIGHT, WD_MATRIX_BOTTOM},
{WD_SHADEBOX_LEFT, WD_SHADEBOX_TOP, WD_SHADEBOX_RIGHT, WD_SHADEBOX_BOTTOM},
{WD_STICKYBOX_LEFT, WD_STICKYBOX_TOP, WD_STICKYBOX_RIGHT, WD_STICKYBOX_BOTTOM},
{WD_DEBUGBOX_LEFT, WD_DEBUGBOX_TOP, WD_DEBUGBOX_RIGHT, WD_DEBUGBOX_BOTTOM},
{WD_DEFSIZEBOX_LEFT, WD_DEFSIZEBOX_TOP, WD_DEFSIZEBOX_RIGHT, WD_DEFSIZEBOX_BOTTOM},
{WD_RESIZEBOX_LEFT, WD_RESIZEBOX_TOP, WD_RESIZEBOX_RIGHT, WD_RESIZEBOX_BOTTOM},
{WD_CLOSEBOX_LEFT, WD_CLOSEBOX_TOP, WD_CLOSEBOX_RIGHT, WD_CLOSEBOX_BOTTOM},
{WD_CAPTIONTEXT_LEFT, WD_CAPTIONTEXT_TOP, WD_CAPTIONTEXT_RIGHT, WD_CAPTIONTEXT_BOTTOM},
{WD_DROPDOWNTEXT_LEFT, WD_DROPDOWNTEXT_TOP, WD_DROPDOWNTEXT_RIGHT, WD_DROPDOWNTEXT_BOTTOM},
{20, 10, 20, 10},
1,
WD_PAR_VSEP_NORMAL,
WD_PAR_VSEP_WIDE,
2,
6,
10,
}

Unscaled widget dimensions.

Definition at line 67 of file window_gui.h.

Referenced by SetupWidgetDimensions().

The documentation for this struct was generated from the following files:

- src/window_gui.h
- src/widget.cpp

WD_RESIZEBOX_BOTTOM
@ WD_RESIZEBOX_BOTTOM
Bottom offset of resize sprite.
Definition: widget.cpp:107
WD_FRAMETEXT_LEFT
@ WD_FRAMETEXT_LEFT
Left offset of the text of the frame.
Definition: widget.cpp:63
WD_IMGBTN_BOTTOM
@ WD_IMGBTN_BOTTOM
Bottom offset of image in the button.
Definition: widget.cpp:33
WD_SHADEBOX_LEFT
@ WD_SHADEBOX_LEFT
Left offset of shade sprite.
Definition: widget.cpp:76
WD_CLOSEBOX_TOP
@ WD_CLOSEBOX_TOP
Top offset of closebox string.
Definition: widget.cpp:113
WD_CAPTIONTEXT_LEFT
@ WD_CAPTIONTEXT_LEFT
Offset of the caption text at the left.
Definition: widget.cpp:118
WD_RESIZEBOX_TOP
@ WD_RESIZEBOX_TOP
Top offset of resize sprite.
Definition: widget.cpp:106
WD_DROPDOWNTEXT_BOTTOM
@ WD_DROPDOWNTEXT_BOTTOM
Bottom offset of the dropdown widget string.
Definition: widget.cpp:128
WD_DEBUGBOX_BOTTOM
@ WD_DEBUGBOX_BOTTOM
Bottom offset of debug sprite.
Definition: widget.cpp:93
WD_DROPDOWNTEXT_TOP
@ WD_DROPDOWNTEXT_TOP
Top offset of the dropdown widget string.
Definition: widget.cpp:127
WD_CAPTIONTEXT_BOTTOM
@ WD_CAPTIONTEXT_BOTTOM
Offset of the caption text at the bottom.
Definition: widget.cpp:121
WD_HSCROLLBAR_BOTTOM
@ WD_HSCROLLBAR_BOTTOM
Bottom offset of horizontal scrollbar.
Definition: widget.cpp:48
WD_DEBUGBOX_TOP
@ WD_DEBUGBOX_TOP
Top offset of debug sprite.
Definition: widget.cpp:92
WD_RESIZEBOX_RIGHT
@ WD_RESIZEBOX_RIGHT
Right offset of resize sprite.
Definition: widget.cpp:105
WD_VSCROLLBAR_LEFT
@ WD_VSCROLLBAR_LEFT
Left offset of vertical scrollbar.
Definition: widget.cpp:40
WD_MATRIX_LEFT
@ WD_MATRIX_LEFT
Offset at left of a matrix cell.
Definition: widget.cpp:69
WD_SHADEBOX_RIGHT
@ WD_SHADEBOX_RIGHT
Right offset of shade sprite.
Definition: widget.cpp:77
WD_SHADEBOX_TOP
@ WD_SHADEBOX_TOP
Top offset of shade sprite.
Definition: widget.cpp:78
WD_RESIZEBOX_LEFT
@ WD_RESIZEBOX_LEFT
Left offset of resize sprite.
Definition: widget.cpp:104
WD_HSCROLLBAR_RIGHT
@ WD_HSCROLLBAR_RIGHT
Right offset of horizontal scrollbar.
Definition: widget.cpp:46
WD_DEBUGBOX_LEFT
@ WD_DEBUGBOX_LEFT
Left offset of debug sprite.
Definition: widget.cpp:90
WD_DROPDOWNTEXT_RIGHT
@ WD_DROPDOWNTEXT_RIGHT
Right offset of the dropdown widget string.
Definition: widget.cpp:126
WD_IMGBTN_TOP
@ WD_IMGBTN_TOP
Top offset of image in the button.
Definition: widget.cpp:32
WD_BEVEL_BOTTOM
@ WD_BEVEL_BOTTOM
Height of bottom bevel border.
Definition: widget.cpp:54
WD_VSCROLLBAR_BOTTOM
@ WD_VSCROLLBAR_BOTTOM
Bottom offset of vertical scrollbar.
Definition: widget.cpp:43
WD_STICKYBOX_LEFT
@ WD_STICKYBOX_LEFT
Left offset of sticky sprite.
Definition: widget.cpp:83
WD_BEVEL_RIGHT
@ WD_BEVEL_RIGHT
Width of right bevel border.
Definition: widget.cpp:52
WD_VSCROLLBAR_RIGHT
@ WD_VSCROLLBAR_RIGHT
Right offset of vertical scrollbar.
Definition: widget.cpp:41
WD_VSCROLLBAR_TOP
@ WD_VSCROLLBAR_TOP
Top offset of vertical scrollbar.
Definition: widget.cpp:42
WD_STICKYBOX_RIGHT
@ WD_STICKYBOX_RIGHT
Right offset of sticky sprite.
Definition: widget.cpp:84
WD_PAR_VSEP_NORMAL
@ WD_PAR_VSEP_NORMAL
Normal amount of vertical space between two paragraphs of text.
Definition: widget.cpp:130
WD_CAPTIONTEXT_RIGHT
@ WD_CAPTIONTEXT_RIGHT
Offset of the caption text at the right.
Definition: widget.cpp:119
WD_DEFSIZEBOX_TOP
@ WD_DEFSIZEBOX_TOP
Top offset of defsize sprite.
Definition: widget.cpp:99
WD_PAR_VSEP_WIDE
@ WD_PAR_VSEP_WIDE
Large amount of vertical space between two paragraphs of text.
Definition: widget.cpp:131
WD_FRAMERECT_BOTTOM
@ WD_FRAMERECT_BOTTOM
Offset at bottom to draw the frame rectangular area.
Definition: widget.cpp:60
WD_FRAMETEXT_BOTTOM
@ WD_FRAMETEXT_BOTTOM
Bottom offset of the text of the frame.
Definition: widget.cpp:66
WD_CLOSEBOX_BOTTOM
@ WD_CLOSEBOX_BOTTOM
Bottom offset of closebox string.
Definition: widget.cpp:114
WD_BEVEL_LEFT
@ WD_BEVEL_LEFT
Width of left bevel border.
Definition: widget.cpp:51
WD_DROPDOWNTEXT_LEFT
@ WD_DROPDOWNTEXT_LEFT
Left offset of the dropdown widget string.
Definition: widget.cpp:125
WD_FRAMETEXT_RIGHT
@ WD_FRAMETEXT_RIGHT
Right offset of the text of the frame.
Definition: widget.cpp:64
WD_SHADEBOX_BOTTOM
@ WD_SHADEBOX_BOTTOM
Bottom offset of shade sprite.
Definition: widget.cpp:79
WD_INSET_LEFT
@ WD_INSET_LEFT
Left offset of string.
Definition: widget.cpp:36
WD_DEBUGBOX_RIGHT
@ WD_DEBUGBOX_RIGHT
Right offset of debug sprite.
Definition: widget.cpp:91
WD_INSET_TOP
@ WD_INSET_TOP
Top offset of string.
Definition: widget.cpp:38
WD_FRAMETEXT_TOP
@ WD_FRAMETEXT_TOP
Top offset of the text of the frame.
Definition: widget.cpp:65
WD_FRAMERECT_TOP
@ WD_FRAMERECT_TOP
Offset at top to draw the frame rectangular area.
Definition: widget.cpp:59
WD_MATRIX_BOTTOM
@ WD_MATRIX_BOTTOM
Offset at bottom of a matrix cell.
Definition: widget.cpp:72
WD_STICKYBOX_BOTTOM
@ WD_STICKYBOX_BOTTOM
Bottom offset of sticky sprite.
Definition: widget.cpp:86
WD_DEFSIZEBOX_RIGHT
@ WD_DEFSIZEBOX_RIGHT
Right offset of defsize sprite.
Definition: widget.cpp:98
WD_HSCROLLBAR_LEFT
@ WD_HSCROLLBAR_LEFT
Left offset of horizontal scrollbar.
Definition: widget.cpp:45
WD_MATRIX_RIGHT
@ WD_MATRIX_RIGHT
Offset at right of a matrix cell.
Definition: widget.cpp:70
WD_FRAMERECT_RIGHT
@ WD_FRAMERECT_RIGHT
Offset at right to draw the frame rectangular area.
Definition: widget.cpp:58
WD_IMGBTN_RIGHT
@ WD_IMGBTN_RIGHT
Right offset of the image in the button.
Definition: widget.cpp:31
WD_CLOSEBOX_LEFT
@ WD_CLOSEBOX_LEFT
Left offset of closebox string.
Definition: widget.cpp:111
WD_DEFSIZEBOX_LEFT
@ WD_DEFSIZEBOX_LEFT
Left offset of defsize sprite.
Definition: widget.cpp:97
WD_DEFSIZEBOX_BOTTOM
@ WD_DEFSIZEBOX_BOTTOM
Bottom offset of defsize sprite.
Definition: widget.cpp:100
WD_MATRIX_TOP
@ WD_MATRIX_TOP
Offset at top of a matrix cell.
Definition: widget.cpp:71
WD_BEVEL_TOP
@ WD_BEVEL_TOP
Height of top bevel border.
Definition: widget.cpp:53
WD_HSCROLLBAR_TOP
@ WD_HSCROLLBAR_TOP
Top offset of horizontal scrollbar.
Definition: widget.cpp:47
WD_IMGBTN_LEFT
@ WD_IMGBTN_LEFT
Left offset of the image in the button.
Definition: widget.cpp:30
WD_CAPTIONTEXT_TOP
@ WD_CAPTIONTEXT_TOP
Offset of the caption text at the top.
Definition: widget.cpp:120
WD_FRAMERECT_LEFT
@ WD_FRAMERECT_LEFT
Offset at left to draw the frame rectangular area.
Definition: widget.cpp:57
WD_CLOSEBOX_RIGHT
@ WD_CLOSEBOX_RIGHT
Right offset of closebox string.
Definition: widget.cpp:112
WD_STICKYBOX_TOP
@ WD_STICKYBOX_TOP
Top offset of sticky sprite.
Definition: widget.cpp:85
WD_INSET_RIGHT
@ WD_INSET_RIGHT
Right offset of string.
Definition: widget.cpp:37